Subject: Re: reg adjust_total_lowmem

From: Scott Wood <[email-masked]>
Date: Fri, 26 Oct 2007 16:27:21 -0500

Kumar Gala wrote:
> On Fri, 26 Oct 2007, Scott Wood wrote:
> 
>> Scott Wood wrote:
>>> On Fri, Oct 26, 2007 at 10:04:19AM -0500, Kumar Gala wrote:
>>>> The reason you have 192M is that lowmem is the total amount of memory
>>>> that can be covered by up to three CAM entries.  In the case of  setting
>>>> mem=252M that max that three CAM entries can cover is 192M (64 +64+64).
>>>> You should be able to access the other 60M via HIGHMEM.
>>> Why doesn't it just use a 256M mapping, and not access the last 4M?
> 
> This has some possibility, not sure what the threshold should be.  Do we
> just always map 768M of lowmem regardless of how much memory we have?

That's probably the simplest way.  We'll need to fix VMALLOC_START as well.

>> Not to mention, why highmem and not just normal TLB0 mappings for the extra
>> pages?
> 
> Because we do not handle recursive misses in the TLB handlers.  We expect
> any load/store that occurs in the TLB handlers to not have a TLB fault
> associated with (and thus all of lowmem must be pinned).

OK.  I guess that means no page debugging... :-P

-Scott